curl --request PATCH \
--url https://sandbox.withclasp.com/members/{public_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"ssn": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>",
"employer": "<string>",
"hire_date": "2023-12-25",
"termination_date": "2023-12-25",
"payroll_provider_external_id": "<string>",
"hours_worked": "<string>",
"subclasses": [
"<string>"
],
"business_unit": "<string>",
"pay_periods": 123,
"job_title": "<string>",
"is_union": true,
"is_seasonal": true,
"metadata": {}
}
'import requests
url = "https://sandbox.withclasp.com/members/{public_id}"
payload = {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"ssn": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>",
"employer": "<string>",
"hire_date": "2023-12-25",
"termination_date": "2023-12-25",
"payroll_provider_external_id": "<string>",
"hours_worked": "<string>",
"subclasses": ["<string>"],
"business_unit": "<string>",
"pay_periods": 123,
"job_title": "<string>",
"is_union": True,
"is_seasonal": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
dob: '2023-12-25',
ssn: '<string>',
email: 'jsmith@example.com',
phone_number: '<string>',
employer: '<string>',
hire_date: '2023-12-25',
termination_date: '2023-12-25',
payroll_provider_external_id: '<string>',
hours_worked: '<string>',
subclasses: ['<string>'],
business_unit: '<string>',
pay_periods: 123,
job_title: '<string>',
is_union: true,
is_seasonal: true,
metadata: {}
})
};
fetch('https://sandbox.withclasp.com/members/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"employer": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "AL",
"zip_code": "<string>",
"line2": "<string>"
},
"hire_date": "2023-12-25",
"middle_name": "<string>",
"ssn_last_four": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>",
"enrollments": [
"<string>"
],
"termination_date": "2023-12-25",
"payroll_provider_external_id": "<string>",
"biological_sex": "male",
"hours_worked": "<string>",
"pay_frequency": "weekly",
"employment_status": "full_time",
"subclasses": [
"<string>"
],
"business_unit": "<string>",
"pay_periods": 123,
"job_title": "<string>",
"is_union": true,
"is_seasonal": true,
"metadata": {}
}Update Member
Updates a member’s details.
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Body
255255255\d{9}25410Show child attributes
Show child attributes
255male- Malefemale- Female
male, female ^-?\d{0,3}(?:\.\d{0,2})?$weekly- Weeklybiweekly- Biweeklysemimonthly- Semimonthlymonthly- Monthly
weekly, biweekly, semimonthly, monthly full_time- Full Timepart_time- Part Timevariable_hours- Variable Hours
full_time, part_time, variable_hours Number of pay periods the employee is paid across in a year, used to calculate per pay period deductions. Defaults to the number implied by pay_frequency (52 weekly, 26 biweekly, 24 semimonthly, 12 monthly), and may be set to any value from 1 up to that default for employees paid across only part of the year, such as seasonal or academic-year staff. Omitting this field while changing pay_frequency resets it to the new frequency's default.
255Whether the employee is a union member
Whether the employee is seasonal
Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes
Response
^[-a-zA-Z0-9_]+$255255Show child attributes
Show child attributes
25525410255male- Malefemale- Female
male, female ^-?\d{0,3}(?:\.\d{0,2})?$weekly- Weeklybiweekly- Biweeklysemimonthly- Semimonthlymonthly- Monthly
weekly, biweekly, semimonthly, monthly full_time- Full Timepart_time- Part Timevariable_hours- Variable Hours
full_time, part_time, variable_hours Number of pay periods the employee is paid across in a year, used to calculate per pay period deductions. Defaults to the number implied by pay_frequency (52 weekly, 26 biweekly, 24 semimonthly, 12 monthly), and may be set to any value from 1 up to that default for employees paid across only part of the year, such as seasonal or academic-year staff. Omitting this field while changing pay_frequency resets it to the new frequency's default.
255Whether the employee is a union member
Whether the employee is seasonal
Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes